-- This information tells other players more about the mod
name = "Custom Game Mode!"
description = "You customize the rules! Create your own Survival experience!"

author = "Gonz008"
version = "1.1"---fully functional, no implementations of WIP, fixed reset timer----

-- This is the URL name of the mod's thread on the forum; the part after the index.php? and before the first & in the URL
-- Example:
-- http://forums.kleientertainment.com/index.php?/files/file/202-sample-mods/
-- becomes
-- /files/file/202-sample-mods/
forumthread = ""

-- This lets other players know if your mod is out of date, update it to match the current version in the game
api_version = 10

---- Can specify a custom icon for this mod!
icon_atlas = "modicon.xml"
icon = "modicon.tex"

--This lets the clients know that they need to download the mod before they can join a server that is using it.
all_clients_require_mod = true

--This lets the game know that this mod doesn't need to be listed in the server's mod listing
client_only_mod = false

--Let the mod system know that this mod is functional with Don't Starve Together
dst_compatible = true

--These tags allow the server running this mod to be found with filters from the server listing screen
server_filter_tags = {"custom", "gamemode", "game mode"}

game_modes =
{
    {
        name = "custom_game",
        label = "Custom Survival",
        description = "Custom Spawn point, Revival, your Rules!",
        settings =
        {
            spawn_mode = "scatter",
            resource_renewal = true,
            ghost_enable = true,
            portal_rez = true,
            reset_time = nil


        }
    }
}

configuration_options =
{
    {
        name = "spawn_mode",
        label = "Spawn Mode",
		hover = "Select if everybody spawns at the portal or at a random place.",
        options =
        {
            {description = "At Portal", data = "fixed"},
            {description = "Random", data = "scatter"},
        },
        default = "fixed",
    },
	{
        name = "ghost_enable",
        label = "Ghost Enabled",
		hover = "Select if you become a ghost when you die, otherwise you'll make a new character.",
        options =
        {
            {description = "Yeah", data = true},
            {description = "Nah", data = false},
        },
        default = true,
    },
	{
        name = "ghost_drain",
        label = "Ghost Sanity Drain",
		hover = "Select if the character's ghost drains other character's sanity.",
        options =
        {
            {description = "Yeah", data = true},
            {description = "Nah", data = false},
        },
        default = true,
    },
	{
        name = "portal_rez",
        label = "Portal Resurrection",
		hover = "Select if players can resurrect at Portal, not available if Spawn mode is set to Random",
        options =
        {
            {description = "Yeah", data = true},
            {description = "Nah", data = false},
        },
        default = true,
    },
	{
        name = "reset_time",
        label = "Game Over Reset Timer",
		hover = "Select if the world should restart once everybody dies",
        options =
        {
            {description = "Survival", data = true},
			{description = "Endless", data = false},
        },
        default = false,
    },
	{
        name = "ban_rez",
        label = "Ban Ressurrection Items",
        hover = "Select if the Telltale Heart, Meat Efigy and Booster Shot should be banned.",
        options =
        {
            {description = "Yeah", data = true},
            {description = "Nah", data = false},
        },
        default = false,
    },


}
