local TheNet = GLOBAL.TheNet

local world_net_inst = nil

function GameSetup(inst)

	if TheNet:GetServerGamemMode() == "custom_game" then
		print("###CustomGameSetup###")
	else
		print("not enabling a custom game because the server game mode isn't matching")
	end
end
--Currently there is no support for a generic world_network postinit.
AddPrefabPostInit("cave_network", CustomGameSetup)
AddPrefabPostInit("forest_network",CustomGameSetup)

-----------spawn mode------------------------------------------------
local SpawnMode = GetModConfigData("spawn_mode")

GLOBAL.GAME_MODES["custom_game"].spawn_mode = SpawnMode


----------ghost sanity drain--------------------------------------------
local GhostSanityDrain = GetModConfigData("ghost_sanity_drain")

GLOBAL.GAME_MODES["custom_game"].ghost_sanity_drain = GhostSanityDrain

-----------ghost enabled------------------------------------------------
local GhostEnabled = GetModConfigData("ghost_enable")

GLOBAL.GAME_MODES["custom_game"].ghost_enabled = GhostEnabled

----------------reset timer-----------------------------
local ResetTime = GetModConfigData("reset_time")

if ResetTime then
	GLOBAL.GAME_MODES["custom_game"].reset_time = { time = 120, loadingtime = 180 }
end

-------------------------poratl revival------------------------------

local PortalRez = GetModConfigData("portal_rez")

GLOBAL.GAME_MODES["custom_game"].portal_rez = PortalRez

-----------------banned items-----------------------------------------
local BanResItems = GetModConfigData("ban_rez")

if BanResItems then
	GLOBAL.GAME_MODES["custom_game"].invalid_recipes = { "reviver", "lifeinjector", "amulet", "resurrections" }
end
